Package Details: rc 1.7.4-1

Git Clone URL: https://aur.archlinux.org/rc.git (read-only)
Package Base: rc
Description: An alternative implementation of the plan 9 rc shell.
Upstream URL: http://tobold.org/article/rc
Licenses: custom
Submitter: bremac
Maintainer: bremac
Last Packager: bremac
Votes: 7
Popularity: 0.001791
First Submitted: 2009-03-12 18:19
Last Updated: 2015-08-22 23:58

Dependencies (1)

Required by (0)

Sources (1)

Latest Comments

bremac commented on 2015-08-23 00:59

Thanks. I've updated to 1.7.4.

Nycroth commented on 2015-08-22 08:36

Upstream is up to 1.7.4 as of 3 months ago. The source has to be retrived from tobold.org though, as UofT's FTP doesn't have a copy.

bremac commented on 2014-09-07 22:38

Thanks chneukirchen, I've updated the package.

chneukirchen commented on 2014-09-02 14:58

Upstream has released 1.7.2 with quoting fix.

bremac commented on 2014-08-24 03:05

@cyx: can you elaborate on the changes in your 1.7.2? I see that you've dropped the upstream quoting patch, and tweaked the heredoc behavior.

bremac commented on 2014-08-24 02:55

Yes, it's fixed now.

cyx commented on 2014-08-19 20:33

FWIW I created a separate package for the interim.

https://aur.archlinux.org/packages/rc-latest/

cyx commented on 2014-08-19 19:52

Upstream URL is not working anymore. Any plans on fixing this?

bremac commented on 2013-08-24 19:17

Well, that and it doesn't differentiate between build() and package(). Thanks for the report, I've uploaded a fixed package.

142172 commented on 2013-08-24 09:31

This PKGBUILD creates an empty package.
Here's a fix.

diff --git a/rc/PKGBUILD b/rc/PKGBUILD
index ef330f0..ca206f8 100644
--- a/rc/PKGBUILD
+++ b/rc/PKGBUILD
@@ -19,7 +19,7 @@ build() {
./configure --prefix=/usr --mandir=/usr/share/man --with-readline
make || return 1
./rc < trip.rc || return 1
- make DESTDIR=$startdir/pkg install || return 1
- install --mode=755 -d $startdir/pkg/usr/share/licenses/$pkgname/
- install --mode=644 COPYING $startdir/pkg/usr/share/licenses/$pkgname/
+ make DESTDIR=$pkgdir install || return 1
+ install --mode=755 -d $pkgdir/usr/share/licenses/$pkgname/
+ install --mode=644 COPYING $pkgdir/usr/share/licenses/$pkgname/
}

All comments